#
# spec file for pktxwin-1.0.0.tar.gz for x86 processor.
#

%define version 1.0.0
%define name pktxwin

Summary: Pocketop Wireless keyboard driver for x86 processor.
Name: %{name}
Version: %{version}
Release: 1
Copyright: GPL
Group: X11/Utilities
Source: %{name}-%{version}.tar.gz
BuildRoot: /tmp/%{name}-%{version}
URL: http://irkbd.kldp.net
Distribution: Debian woody
Vendor: lampo1
Packager: lampo1 <lampo1@paran.com>

%description
Pocketop Wireless Keyboard(PKT) driver for x86 processor.
lampo1@paran.com

%prep
%setup

%build
make woody

%install


set -x 
pwd
srcdir="./arch/linux/debian/woody/result"
dstdir=${RPM_BUILD_ROOT}"/usr/share/pkt"
bindir=${RPM_BUILD_ROOT}"/usr/bin"
rcdir=${RPM_BUILD_ROOT}"/etc"

mkdir ${RPM_BUILD_ROOT}
mkdir ${RPM_BUILD_ROOT}"/usr"
mkdir ${RPM_BUILD_ROOT}"/usr/share"
mkdir ${RPM_BUILD_ROOT}"/usr/share/pkt"
mkdir ${RPM_BUILD_ROOT}"/usr/bin"
mkdir ${RPM_BUILD_ROOT}"/etc"

cp ${srcdir}/README* $dstdir
cp ${srcdir}/*.xpm $dstdir
cp ${srcdir}/pkttip.html $dstdir
cp ${srcdir}/keysetting.html $dstdir
cp ${srcdir}/pktxwin $bindir
cp ${srcdir}/pktrc $rcdir

%files
%attr(-, root, root) /usr/share/pkt/README
%attr(-, root, root) /usr/share/pkt/pkttip.html
%attr(-, root, root) /usr/share/pkt/keysetting.html
%attr(-, root, root) /usr/share/pkt/pkt16x16.xpm
%attr(-, root, root) /usr/share/pkt/pkt32x32.xpm
%attr(-, root, root) /usr/bin/pktxwin
%attr(-, root, root) /etc/pktrc

%clean
rm -rf $RPM_BUILD_ROOT          


          



